Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Crossovers/DirectScheduleCrossover.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Crossovers/DirectScheduleCrossover.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Crossovers/DirectScheduleCrossover.cs	(revision 14711)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Encodings.ScheduleEncoding.ScheduleEncoding {
   [Item("DirectScheduleCrossover", "An operator which crosses two schedule representations.")]
-  [StorableClass("A56A9243-B3D6-41CE-BB78-951227FB4018")]
+  [StorableType("A56A9243-B3D6-41CE-BB78-951227FB4018")]
   public abstract class DirectScheduleCrossover : ScheduleCrossover, IDirectScheduleOperator {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Crossovers/DirectScheduleGTCrossover.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Crossovers/DirectScheduleGTCrossover.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Crossovers/DirectScheduleGTCrossover.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Encodings.ScheduleEncoding.ScheduleEncoding {
   [Item("DirectScheduleGTCrossover", "Represents a crossover using the GT-Algorithm to cross two direct schedule representations.")]
-  [StorableClass("432260C5-ED3B-4891-9BFC-94C35505D949")]
+  [StorableType("432260C5-ED3B-4891-9BFC-94C35505D949")]
   public class DirectScheduleGTCrossover : DirectScheduleCrossover {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/DirectScheduleRandomCreator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/DirectScheduleRandomCreator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/DirectScheduleRandomCreator.cs	(revision 14711)
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Encodings.ScheduleEncoding {
   [Item("DirectScheduleRandomCreator", "Creator class used to create schedule encoding objects.")]
-  [StorableClass("E1F84C6E-88DB-4632-96A3-0C224D73DC87")]
+  [StorableType("E1F84C6E-88DB-4632-96A3-0C224D73DC87")]
   public class DirectScheduleRandomCreator : ScheduleCreator, IStochasticOperator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Job.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Job.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Job.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Encodings.ScheduleEncoding {
   [Item("Job", "Represents a composition of tasks that require processing in a scheduling problem.")]
-  [StorableClass("84DEDEFA-2824-4070-A823-42B7B24B6C52")]
+  [StorableType("84DEDEFA-2824-4070-A823-42B7B24B6C52")]
   public class Job : Item, INotifyPropertyChanged {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Manipulators/DirectScheduleManipulator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Manipulators/DirectScheduleManipulator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Manipulators/DirectScheduleManipulator.cs	(revision 14711)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Encodings.ScheduleEncoding.ScheduleEncoding {
   [Item("DirectScheduleManipulator", "An operator which manipulates a direct schedule representation.")]
-  [StorableClass("8B7DDBE9-0C57-43E1-8814-E896C055B566")]
+  [StorableType("8B7DDBE9-0C57-43E1-8814-E896C055B566")]
   public abstract class DirectScheduleManipulator : ScheduleManipulator, IDirectScheduleOperator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Resource.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Resource.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Resource.cs	(revision 14711)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Encodings.ScheduleEncoding {
   [Item("ResourceClass", "Represents a resource used in scheduling problems.")]
-  [StorableClass("7620A743-DC44-4E98-8C36-39876D553789")]
+  [StorableType("7620A743-DC44-4E98-8C36-39876D553789")]
   public class Resource : Item {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Schedule.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Schedule.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Schedule.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Encodings.ScheduleEncoding {
   [Item("Schedule", "Represents the general solution for scheduling problems.")]
-  [StorableClass("DAB2933E-18F9-49E3-B33E-8E0F8EE4037A")]
+  [StorableType("DAB2933E-18F9-49E3-B33E-8E0F8EE4037A")]
   public class Schedule : NamedItem, IScheduleEncoding {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/ScheduledTask.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/ScheduledTask.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/ScheduledTask.cs	(revision 14711)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Encodings.ScheduleEncoding {
   [Item("ScheduledTask", "Represents a task that has been scheduled already.")]
-  [StorableClass("B57F84B6-F704-4FA6-ADC6-706E3F8B6DF1")]
+  [StorableType("B57F84B6-F704-4FA6-ADC6-706E3F8B6DF1")]
   public class ScheduledTask : Item {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Task.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Task.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Encodings.ScheduleEncoding/3.3/ScheduleEncoding/Task.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Encodings.ScheduleEncoding {
   [Item("Task", "Represents a task that has to be scheduled.")]
-  [StorableClass("BEB96515-F4C5-4D4C-8957-8F4E73E3EAE2")]
+  [StorableType("BEB96515-F4C5-4D4C-8957-8F4E73E3EAE2")]
   public class Task : Item, INotifyPropertyChanged {
 
